Package net.shibboleth.idp.profile

# Interface FlowDescriptor

All Superinterfaces:
  `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

All Known Subinterfaces:
  `AdministrativeFlowDescriptor`

All Known Implementing Classes:
  `AbstractNameIDCanonicalizer`, `AbstractSubjectCanonicalizer`, `AttributeReleaseFlowDescriptor`, `AttributeSourcedSubjectCanonicalization`, `AuthenticationFlowDescriptor`, `BasicAdministrativeFlowDescriptor`, `ConsentFlowDescriptor`, `FunctionSubjectCanonicalization`, `NameIDCanonicalization`, `NameIDCanonicalizationFlowDescriptor`, `NameIdentifierCanonicalization`, `OneTimeAdministrativeFlowDescriptor`, `ProfileInterceptorFlowDescriptor`, `SimpleSubjectCanonicalization`, `SubjectCanonicalizationFlowDescriptor`, `X500SubjectCanonicalization`

public interface FlowDescriptor extends IdentifiableComponent, InitializableComponent, DestructableComponent
Marker interface for a descriptor for a webflow allowing managed injection of configuration settings.

Since:
  4.0.0

## Method Summary

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiableComponent

`setId`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`